summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTushar Khandelwal <tushar.khandelwal@arm.com>2020-07-10 12:38:39 +0100
committerTushar Khandelwal <tushar.khandelwal@arm.com>2020-07-10 13:20:07 +0100
commite5b022b562b8d2b192cd8b1d0932710e15a58415 (patch)
tree59fe6a3cc8cde05314815775bd3e03be94000d16
parente355437cbeb532ef4a5d06b261b93826c3e53610 (diff)
platform/tc0: script for adding u-boot header to ramdisk
This script takes ramdisk.img from directory defined in environment variable ANDROID_PRODUCT_OUT and adds u-boot header to it using mkimage. This creates ramdisk_uboot.img. Change-Id: I5079e8e8353ef8b12263c0008d5dc92086a4b964 Signed-off-by: Usama Arif <usama.arif@arm.com>
-rwxr-xr-xtc0/add-uboot-header.sh45
1 files changed, 45 insertions, 0 deletions
diff --git a/tc0/add-uboot-header.sh b/tc0/add-uboot-header.sh
new file mode 100755
index 0000000..de04cc6
--- /dev/null
+++ b/tc0/add-uboot-header.sh
@@ -0,0 +1,45 @@
+#!/usr/bin/env bash
+
+# Copyright (c) 2020, ARM Limited and Contributors. All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are met:
+#
+# Redistributions of source code must retain the above copyright notice, this
+# list of conditions and the following disclaimer.
+#
+# Redistributions in binary form must reproduce the above copyright notice,
+# this list of conditions and the following disclaimer in the documentation
+# and/or other materials provided with the distribution.
+#
+# Neither the name of ARM nor the names of its contributors may be used
+# to endorse or promote products derived from this software without specific
+# prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
+# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
+# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+# POSSIBILITY OF SUCH DAMAGE.
+
+set -e
+
+if [ -z "$ANDROID_PRODUCT_OUT" ]
+then
+ echo "var ANDROID_PRODUCT_OUT is empty"
+ exit 1
+fi
+
+pushd .
+
+cd $ANDROID_PRODUCT_OUT
+
+mkimage -A arm64 -O linux -C none -T ramdisk -n ramdisk -a 0x88000000 -e 0x88000000 -n "Total Compute Ramdisk" -d ramdisk.img ramdisk_uboot.img
+
+popd \ No newline at end of file